package com.cr.common

import android.content.res.Resources

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/4/14 11:37
 * 描述：单位管理类
 */
class CrUnitManager {
    companion object{
        /**
         * dp转像素
         * @param dp Float dp值
         * @return Float 像素值
         */
        fun dp2px(dp: Float): Float {
            val metrics = Resources.getSystem().displayMetrics
            return dp * metrics.density
        }

        /**
         * dp转像素
         * @param dp Int dp值
         * @return Float 像素值
         */
        fun dp2px(dp: Int): Int {
            val metrics = Resources.getSystem().displayMetrics
            return (dp * metrics.density).toInt()
        }

        /**
         * 像素转dp
         * @param px Int 像素
         * @return Int dp值
         */
        fun px2dp(px: Int): Int {
            val metrics = Resources.getSystem().displayMetrics
            return (px / metrics.density + 0.5f).toInt()
        }
    }
}